# WoopsiUI::WindowBorderButton Class Reference

`#include <windowborderbutton.h>`

Inheritance diagram for WoopsiUI::WindowBorderButton:

List of all members.

## Public Member Functions
| WindowBorderButton (s16 x, s16 y, u16 width, u16 height, char normalGlyph, char clickedGlyph, GadgetStyle *style=NULL)
## Protected Member Functions
virtual | ~WindowBorderButton ()
virtual void | drawContents (GraphicsPort *port)
virtual void | drawBorder (GraphicsPort *port)
| WindowBorderButton (const WindowBorderButton &windowBorderButton)

## Detailed Description

Class representing a button that will appear in the window border.

## Constructor & Destructor Documentation

WoopsiUI::WindowBorderButton::WindowBorderButton | ( | s16 | x,
|  | s16 | y,
|  | u16 | width,
|  | u16 | height,
|  | char | normalGlyph,
|  | char | clickedGlyph,
|  | GadgetStyle * | style = `NULL` |
| ) |  |  |

Constructor.

Parameters:

  | x | The x co-ordinate of the gadget.
  | y | The y co-ordinate of the gadget.
  | width | The width of the gadget.
  | height | The height of the gadget.
  | normalGlyph | The glyph to display when the gadget is not clicked.
  | clickedGlyph | The glyph to display when the gadget is clicked.
  | style | The style that the gadget should use. If this is not specified, the gadget will use the values stored in the global defaultGadgetStyle object. The gadget will copy the properties of the style into its own internal style object.

virtual WoopsiUI::WindowBorderButton::~WindowBorderButton | ( |  | ) | `[inline, protected, virtual]`

Destructor.

WoopsiUI::WindowBorderButton::WindowBorderButton | ( | const WindowBorderButton & | windowBorderButton | ) | `[inline, protected]`

Copy constructor is protected to prevent usage.

## Member Function Documentation

virtual void WoopsiUI::WindowBorderButton::drawBorder | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  | port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::DecorationGlyphButton.

virtual void WoopsiUI::WindowBorderButton::drawContents | ( | GraphicsPort * | port | ) | `[protected, virtual]`

Draw the area of this gadget that falls within the clipping region. Called by the redraw() function to draw all visible regions.

Parameters:

  | port | The GraphicsPort to draw to.

See also:
  redraw()

Reimplemented from WoopsiUI::DecorationGlyphButton.

The documentation for this class was generated from the following file:

- windowborderbutton.h